Bug 168800 - Review Request: haddock
Review Request: haddock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
David Lawrence
http://haskell.org/haddock/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-20 08:59 EDT by Jens Petersen
Modified: 2010-10-03 16:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 23:30:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2005-09-20 08:59:56 EDT
Spec Name or Url: http://people.redhat.com/petersen/haddock.spec
SRPM Name or Url: http://people.redhat.com/petersen/haddock-0.7-1.src.rpm
Description:
Haddock is a tool for automatically generating documentation from
annotated Haskell source code. It is primary intended for documenting
libraries, but it should be useful for any kind of Haskell code.

Haddock is needed to generate the documentation for ghc:
ie it is actually a buildrequire for it (currently disabled).
Comment 1 Gérard Milmeister 2005-09-23 13:52:50 EDT
Cannot download http://people.redhat.com/petersen/haddock.spec:
Permission denied.
Comment 2 Jens Petersen 2005-09-25 20:42:04 EDT
Oops, thanks Gemi for looking and sorry about that.  Should be better now. :)
Comment 3 Gérard Milmeister 2005-09-26 12:11:12 EDT
- rpmlint: W: haddock non-standard-dir-in-usr libexec
  However this is an omission of rpmlint.
- Is it necessary to include the version number in the binary and
  the data directory names.
- BuildRoot should be:
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Does %configure not work instead of
  ./configure --prefix=%{_prefix} --libdir=%{_libdir} ?
Comment 4 Jens Petersen 2005-09-26 22:45:43 EDT
Thanks for the comments.

I dropped the versioned binary wrapper.  The version in the datadir
is also due to upstream.  I suppose it could go, but debian also has it
fwiw.

I corrected BuildRoot and made it use %configure.  Also dropped the empty
debuginfo package, and simplified the description.

http://people.redhat.com/petersen/haddock.spec-1.1
Comment 5 Gérard Milmeister 2005-09-27 05:51:17 EDT
%configure doesn't seem to work after all, the automatically
generated parameters to configure make it fail, so revert to
the previous explicit configure line.

N.B. if you create a new src rpm for the new spec, I do
not have to do it myself to submit it to mock.
Comment 6 Jens Petersen 2005-09-27 06:46:58 EDT
Hmm, I was wondering about %configure too, though it worked ok on my fc4 box.

Thanks for the careful review.  I uploaded:
http://people.redhat.com/petersen/haddock-0.7-1.2.src.rpm
Comment 7 Gérard Milmeister 2005-09-27 14:17:45 EDT
It's looking good now.
APPROVED
Comment 8 Jens Petersen 2005-09-27 23:30:59 EDT
Thank you.  haddock has been imported and built in devel.
Comment 9 Jens Petersen 2010-10-01 05:44:17 EDT
haddock is needed to build older ghc with docs.

Package Change Request
======================
Package Name: haddock
New Branches: el4
Owners: petersen
InitialCC: haskell-sig
Comment 10 Kevin Fenzi 2010-10-03 16:23:47 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.